com.informix.json

## Class JSON

- java.lang.Object
- - com.informix.json.JSON

    public class JSON
    extends java.lang.Object

Helper methods for JSON serialization and de-serialization

### Constructor Summary

Constructors
Constructor and Description
`JSON()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `parse(java.lang.String s)` Parses a JSON string representing a JSON value
`static java.lang.Object` `parse(java.lang.String s, org.bson.BSONCallback c)` Parses a JSON string representing a JSON value
`static java.lang.String` `serialize(java.lang.Object o)` Serializes an object into its JSON form.
`static void` `serialize(java.lang.Object o, java.lang.StringBuilder buf)` Serializes an object into its JSON form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSON

    public JSON()

### Method Detail

#### serialize

    public static java.lang.String serialize(java.lang.Object o)

Serializes an object into its JSON form.

This method delegates serialization to `JSONSerializers.getLegacy`

Parameters:
  `o` - object to serialize
Returns:
  String containing JSON form of the object
See Also:
  `com.informix.json.ibm.nosql.informix.json.util.JSONSerializers#getLegacy()`

#### serialize

    public static void serialize(java.lang.Object o,
                                 java.lang.StringBuilder buf)

Serializes an object into its JSON form.

This method delegates serialization to `JSONSerializers.getLegacy`

Parameters:
  `o` - object to serialize
  `buf` - StringBuilder containing the JSON representation under construction
See Also:
  `com.informix.json.ibm.nosql.informix.json.util.JSONSerializers#getLegacy()`

#### parse

    public static java.lang.Object parse(java.lang.String s)

Parses a JSON string representing a JSON value

Parameters:
  `s` - the string to parse
Returns:
  the object

#### parse

    public static java.lang.Object parse(java.lang.String s,
                                         org.bson.BSONCallback c)

Parses a JSON string representing a JSON value

Parameters:
  `s` - the string to parse
Returns:
  the object